package com.xueyi.system.digitalmans.service;

import com.xueyi.common.web.entity.service.IBaseService;
import com.xueyi.system.api.digitalmans.domain.dto.DmSkillDto;
import com.xueyi.system.api.digitalmans.domain.po.DmSkillPo;
import com.xueyi.system.digitalmans.domain.dto.DmCustomMadeDto;
import com.xueyi.system.digitalmans.domain.dto.DmDigitalmanDto;
import com.xueyi.system.digitalmans.domain.query.DmSkillQuery;

import java.util.List;

/**
 * 访客管理 服务层
 *
 * @author xueyi
 */
public interface IDmSkillService extends IBaseService<DmSkillQuery, DmSkillDto> {
    List<DmSkillDto> selectSkillListByTimestamp(Long manId,String timestamp);

    DmSkillPo selectSkillByCode(String skillCode);

    int customInsert(DmCustomMadeDto dto);

    int batchInitInsert(DmDigitalmanDto digitalmanDto);
}